package response

import (
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/bean/entity"
)

type AlertOverviewItem struct {
	AlertOverview              []entity.AlertOverview            `json:"alert_overview"`
	RiskLevelDistribution      []entity.AlertDistribution        `json:"risk_level_distribution"`
	AlertStatusDistribution    []entity.AlertDistribution        `json:"alert_status_distribution"`
	AlertClassDistribution     []entity.AlertDistribution        `json:"alert_class_distribution"`
	AlertFrequencyDistribution entity.AlertFrequencyDistribution `json:"alert_frequency_distribution"`
}

type AlertOverviewList struct {
	TotalCount int64               `json:"total_count"`
	List       []AlertOverviewItem `json:"list"`
}

type AlertOverviewNode struct {
	entity.AlertOverview
	Children []*AlertOverviewNode `json:"children"`
}
